package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisProfile
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "JenisProfile_M")
public class JenisProfileVO extends BaseMasterVO {
	@Caption(value="Jenis Profile")
	private String jenisProfile;

	public void setJenisProfile(String jenisProfile) {
		this.jenisProfile = jenisProfile;
	}

	@Column(name = "JenisProfile", nullable = false , length = 30)
	public String getJenisProfile(){
		return this.jenisProfile;
	}

	@Caption(value="Kode Jenis Profile")
	private Byte kdJenisProfile;

	public void setKdJenisProfile(Byte kdJenisProfile) {
		this.kdJenisProfile = kdJenisProfile;
	}

	@Column(name = "KdJenisProfile", nullable = false )
	public Byte getKdJenisProfile(){
		return this.kdJenisProfile;
	}

	@Caption(value="QJenis Profile")
	private Byte qJenisProfile;

	public void setqJenisProfile(Byte qJenisProfile) {
		this.qJenisProfile = qJenisProfile;
	}

	@Column(name = "QJenisProfile", nullable = false )
	public Byte getqJenisProfile(){
		return this.qJenisProfile;
	}


}

